Package org.apache.solr.client.solrj.io.ops

## Interface StreamOperation

All Superinterfaces:
  `Expressible`, `Serializable`

All Known Subinterfaces:
  `ReduceOperation`

All Known Implementing Classes:
  `ConcatOperation`, `DistinctOperation`, `GroupOperation`, `ReplaceOperation`, `ReplaceWithFieldOperation`, `ReplaceWithValueOperation`

    public interface StreamOperation
    extends Expressible, Serializable

Interface for any operation one can perform on a tuple in a TupleStream

### Method Summary

All Methods Instance Methods Abstract Methods
`void` `operate​(Tuple tuple)`

### Methods inherited from interface org.apache.solr.client.solrj.io.stream.expr.Expressible

`toExplanation, toExpression`

### Method Detail

#### operate

    void operate​(Tuple tuple)